org.apache.lucene.util.fst

## Class Util.MinResult<T>

- java.lang.Object
- - org.apache.lucene.util.fst.Util.MinResult<T>

- Enclosing class:
    Util

      public static final class Util.MinResult<T>
      extends Object

  Holds a single input (IntsRef) + output, returned by `shortestPaths()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IntsRef` | `input`
    `T` | `output`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util.MinResult(IntsRef input, T output)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### input

          public final IntsRef input

    - #### output

          public final T output

  - ### Constructor Detail

    - #### Util.MinResult

          public Util.MinResult(IntsRef input,
                        T output)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.